import { Provider } from '@angular/core';
export declare enum HelperFeatureKind {
    MOBILE_BREAKPOINT = 0,
    BASE_URL_INTERCEPTOR = 1,
    LOGGING_INTERCEPTOR_IGNORE_PATHS = 2,
    POST_PUT_JSON_CONTENT_TYPE_INTERCEPTOR_IGNORE_PATHS = 3,
    WINDOW = 4
}
export declare interface HelperFeature<KindT extends HelperFeatureKind> {
    kind: KindT;
    providers: Provider[];
}
export declare type MobileBreakpointFeature = HelperFeature<HelperFeatureKind.MOBILE_BREAKPOINT>;
export declare type WindowFeature = HelperFeature<HelperFeatureKind.WINDOW>;
export declare type BaseUrlInterceptorFeature = HelperFeature<HelperFeatureKind.BASE_URL_INTERCEPTOR>;
export declare type LoggingInterceptorFeature = HelperFeature<HelperFeatureKind.LOGGING_INTERCEPTOR_IGNORE_PATHS>;
export declare type PostPutJsonContentTypeInterceptorFeature = HelperFeature<HelperFeatureKind.POST_PUT_JSON_CONTENT_TYPE_INTERCEPTOR_IGNORE_PATHS>;
export declare type HelperFeatures = MobileBreakpointFeature | BaseUrlInterceptorFeature | LoggingInterceptorFeature | PostPutJsonContentTypeInterceptorFeature | WindowFeature;
//# sourceMappingURL=features.d.ts.map